Skip to navigation

Create a new debug chat session

Authentication

X-API-KEYstring

PolyAI API key. Send it in the X-API-KEY header.

Path parameters

agentIdstringRequired

Request

This endpoint expects an object.
clientEnvenumRequired

Client environment (sandbox, pre-release, live).

Allowed values:
asrLangCodestringOptional

ASR language code (e.g. en-US). Defaults to server config.

ttsLangCodestringOptional

TTS language code (e.g. en-US). Defaults to server config.

conversationIdstringOptional

Custom conversation ID. Auto-generated if omitted.

variantIdstringOptional
Variant ID to use
channelstringOptional

Channel type (e.g. chat.polyai)

integrationAttributesmap from strings to anyOptional

Custom attributes accessible via conv.integration_attributes in project functions.

Response

Successful response
conversationIdstring
userInputstring
responsestring
metadataobject
Metadata returned with each chat response.
conversationEndedboolean
delayedResponseboolean

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error